net.sf.jasperreports.engine.fill

## Class JRFillFrame.JRFillFrameElements

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementGroup
  - - net.sf.jasperreports.engine.fill.JRFillElementContainer
    - - net.sf.jasperreports.engine.fill.JRFillFrame.JRFillFrameElements

- All Implemented Interfaces:
    java.lang.Cloneable, FillContainerContext, JRFillCloneable, JRChild, JRCloneable, JRElementGroup, JRVisitable
  Enclosing class:
    JRFillFrame

      protected class JRFillFrame.JRFillFrameElements
      extends JRFillElementContainer

  Frame element container filler.

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer

      `deepElements, evaluatedStyles, expressionEvaluator, filler, firstYElement, hasPrintWhenOverflowElement, isOverflow, stylesToEvaluate`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup

      `children, elementGroup, elements`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getContainerHeight()` Returns the height of the element container.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementContainer

      `addSubElements, buildConsolidatedStyle, collectConditionalStyle, evaluate, evaluateConditionalStyle, evaluateConditionalStyles, fillElements, getEvaluatedConditionalStyle, getFirstY, getStretchHeight, initConditionalStyles, initDeepElements, initElements, initFill, isCurrentOverflow, isCurrentOverflowAllowed, moveBandBottomElements, prepareElements, removeBlankElements, resetElements, rewind, setElementOriginProvider, setStretchHeight, stretchElements, willOverflow`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementGroup

      `clone, clone, createClone, getChildren, getElementByKey, getElementGroup, getElements, getStretchHeightDiff, reset, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getContainerHeight

          protected int getContainerHeight()

      Description copied from class: `JRFillElementContainer`
      Returns the height of the element container.
      Specified by:
        `getContainerHeight` in class `JRFillElementContainer`
      Returns:
        the height of the element container

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com